/* Argument checker for rm */
#include <string.h>
#include <unistd.h>
#include <stdlib.h>

char *progname = "rm";

/*D

  ptrm - SUT rm

Description:

ptrm removes files on specified hosts.

Command Line Arguments:

ptrm [-m <machine_file>|-M <machine_list>] [-vrRf] <file1> [<file2> <file3>...]

.N machine_args

. -v - verbose (explain what actions are taking place)
. -r - remove files and directories recursively
. -R - same as -r
. -f - force removal
- <file1> [<file2> <file3>...] - the list of files to remove

Environment Variables:

.N machine_envs

Examples:

To remove the file "myfile" on the machines specified in the file 
"destination_machines" use

.vb
ptrm -m destination_machines myfile 
.ve

To remove the same file, specifying the machines on the command line, use

.vb
ptrm -M "host1 host2 host3" myfile
.ve

To remove the directory "mydir" and all files in it use 

.vb
ptrm -m destination_machines -r mydir
.ve

.seealso rm(1)
  
 D*/
int check_args(int argc, char *argv[])
{
    int c;

    while ((c = getopt(argc, argv, "vrRf")) != -1) {
        switch (c) {
            case 'v':
            case 'r':
            case 'R':
            case 'f':
                continue;
            default:
                return -1;
        }
    }

    return 0;
}
